Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Get the latest boot proof for a given enclave app name.
cURL
curl --request POST \ --url https://api.0xkey.io/public/v1/query/get_latest_boot_proof \ --header 'Content-Type: application/json' \ --header 'X-Stamp: <api-key>' \ --data ' { "organizationId": "<string>", "appName": "<string>" } '
const options = { method: 'POST', headers: {'X-Stamp': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({organizationId: '<string>', appName: '<string>'}) }; fetch('https://api.0xkey.io/public/v1/query/get_latest_boot_proof', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.0xkey.io/public/v1/query/get_latest_boot_proof" payload = { "organizationId": "<string>", "appName": "<string>" } headers = { "X-Stamp": "<api-key>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "bootProof": { "ephemeralPublicKeyHex": "<string>", "awsAttestationDocB64": "<string>", "qosManifestB64": "<string>", "qosManifestEnvelopeB64": "<string>", "deploymentLabel": "<string>", "enclaveApp": "<string>", "owner": "<string>", "createdAt": { "seconds": "<string>", "nanos": "<string>" } } }
{ "code": 123, "message": "<string>", "details": [ { "@type": "<string>" } ] }
Unique identifier for a given Organization.
Name of enclave app.
A successful response.
Show child attributes